//wall thickness
wall = 1.75;
frame_length=66;
frame_width=22;
socket_r = 6.5;

$fn=100;

difference()
    {
    walls();
    subtractions();
    }

module walls() {

    //bottom
    translate([8,8,0]) 
        minkowski()
        {
            cube([frame_length-16,frame_width-16,wall-1]);
            cylinder(r=8,h=1);
        }
    cube([frame_length,frame_width/2,wall]);


    //front
    translate([8,0,8])
        minkowski()
            {
            cube([frame_length-16, wall-1, frame_width-16]);
            rotate([-90,0,0])
                cylinder(r=8, h=1);
            }
    cube([frame_length, wall, frame_width/2]);
 
            
    //support triangle
    rotate([0,-90,0])
        translate([0, 0, -(frame_length-3)])
            linear_extrude(height = wall*2, center = true, convexity = 10, twist = 0)
                    polygon(points = [ [0,0], [0,frame_width-3.75], [frame_width-3.75,0]], paths = [[0,1,2]]);

    rotate([0,-90,0])
        translate([0, 0, -3])
            linear_extrude(height = wall*2, center = true, convexity = 10, twist = 0)
                    polygon(points = [ [0,0], [0,frame_width-3.75], [frame_width-3.75,0]], paths = [[0,1,2]]);


}


module subtractions() {

    //socket holes
    translate([frame_length/2-20.5, -1, frame_width/2])
        rotate([-90,0,0])
            cylinder(r=socket_r, h=wall+2);

    translate([frame_length/2+20.5, -1, frame_width/2])
        rotate([-90,0,0])
            cylinder(r=socket_r, h=wall+2);
            
    //pins
    translate([frame_length/2-11, -2, frame_width/2+1])
        cube([22,10,6.5]);
            
            

}

